import { HttpClient as HC } from "./lib/http/http-client";
import { BackendProxy as BP } from "./lib/http/backend-proxy";
import { BuildSessionData as BSD, CreateBuildSessionIdResponse as CBIDResponse, HttpClientConfigData as HCCD, GetVersionRequest as GVR } from "./lib/http/contracts";
import { MessagesFormatter as MF } from "./lib/messages-formatter";
import { SlEnvVars as SEV } from "./lib/constants/sl-env-vars";
import { FootprintsProcess as FPP } from "./lib/footprints-process";
import { IstanbulToFootprints as ITF } from "./lib/footprints-process/istanbul-to-footprints";
import { Watchdog as WD } from "./lib/watchdog";
import { WatchdogOptions as WDO } from "./lib/watchdog";
import { FootprintsServiceProxy as FPRX } from "./lib/footprints-process/footprints-service-proxy";
import { EnvironmentDataService as EDS } from "./lib/environment-data-service";
import { AgentConfig as CFG } from "./lib/config";
import { IExtendedIstanbulMetrics as EIM } from "./lib/footprints-process/istanbul-to-footprints-contract";
import { AgentDataService as ADS } from "./lib/agent-data-service";
import { IFootprintsFile as IPF } from "./lib/contracts";
import { ValidationUtils as VU } from "./lib/utils/validation-utils";
import { SlIgnoreWrapper as SIW } from "./lib/sl-ignore-wrapper";
export declare namespace SlJsInfra {
    type Watchdog = WD;
    const Watchdog: typeof WD;
    type HttpClient = HC;
    const HttpClient: typeof HC;
    type BackendProxy = BP;
    const BackendProxy: typeof BP;
    type AgentConfig = CFG;
    const AgentConfig: typeof CFG;
    type MessageFormatter = MF;
    const MessageFormatter: typeof MF;
    type SlEnvVars = SEV;
    const SlEnvVars: typeof SEV;
    type FootprintsProcess = FPP;
    const FootprintsProcess: typeof FPP;
    type FootprintsProxy = FPRX;
    const FootprintsProxy: typeof FPRX;
    type IstanbulToFootprints = ITF;
    const IstanbulToFootprints: typeof ITF;
    type EnvironmentDataService = EDS;
    const EnvironmentDataService: typeof EDS;
    type AgentDataService = ADS;
    const AgentDataService: typeof ADS;
    type SlIgnoreWrapper = SIW;
    const SlIgnoreWrapper: typeof SIW;
    namespace Utils {
        type ValidationUtils = VU;
        const ValidationUtils: typeof VU;
    }
    namespace Entities {
        type BuildSessionData = BSD;
        const BuildSessionData: typeof BSD;
        type CreateBuildSessionIdResponse = CBIDResponse;
        const CreateBuildSessionIdResponse: typeof CBIDResponse;
        type HttpClientConfigData = HCCD;
        const HttpClientConfigData: typeof HCCD;
        type GetVersionRequest = GVR;
        const GetVersionRequest: typeof GVR;
        type WatchdogOptions = WDO;
        const WatchdogOptions: typeof WDO;
        type IExtendedIstanbulMetrics = EIM;
        const IExtendedIstanbulMetrics: typeof EIM;
        type IFootprintsFile = IPF;
    }
}
